Package com.io7m.cedarbridge.codegen.javastatic.internal.generics

# Record Class CBGenericSerializerMethodRefParameter

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.codegen.javastatic.internal.generics.CBGenericSerializerMethodRefParameter

Record Components:
  `type` - The type

All Implemented Interfaces:
  `CBGenericSerializerMethodRefType`

public record CBGenericSerializerMethodRefParameter(CBTypeExpressionType.CBTypeExprParameterType type) extends Record implements CBGenericSerializerMethodRefType
A reference to a serialize method passed into a function on behalf of a type parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBGenericSerializerMethodRefParameter(CBTypeExpressionType.CBTypeExprParameterType type)`
  Creates an instance of a `CBGenericSerializerMethodRefParameter` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBTypeExpressionType.CBTypeExprParameterType`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBGenericSerializerMethodRefParameter

    public CBGenericSerializerMethodRefParameter(CBTypeExpressionType.CBTypeExprParameterType type)
    Creates an instance of a `CBGenericSerializerMethodRefParameter` record class.
    Parameters:
      `type` - the value for the `type` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### type

    public CBTypeExpressionType.CBTypeExprParameterType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component